App\Entity\Vettori:
    type: entity
    table: vettori
    id:
        id:
            type: integer
            nullable: false
            options:
                unsigned: false
            id: true
            generator:
                strategy: IDENTITY
    fields:
        iata:
            type: string
            nullable: true
            length: 20
            options:
                fixed: false
        icao:
            type: string
            nullable: true
            length: 20
            options:
                fixed: false
        iata3digit:
            type: string
            nullable: false
            length: 3
            options:
                fixed: false
        airline:
            type: string
            nullable: false
            length: 100
            options:
                fixed: false
        linkToSign:
            type: string
            nullable: true
            length: 255
            options:
                fixed: false
            column: link_to_sign
        callSign:
            type: string
            nullable: true
            length: 255
            options:
                fixed: false
            column: call_sign
        imgFlag:
            type: string
            nullable: true
            length: 255
            options:
                fixed: false
            column: img_flag
        country:
            type: string
            nullable: true
            length: 4
            options:
                fixed: false
        webSite:
            type: string
            nullable: true
            length: 255
            options:
                fixed: false
            column: web_site
        idcliente:
            type: integer
            nullable: true
            options:
                unsigned: false
        status:
            type: integer
            nullable: true
            options:
                unsigned: false
        creatorId:
            type: integer
            nullable: true
            options:
                unsigned: false
            column: creator_id
        creationDate:
            type: datetime
            nullable: true
            column: creation_date
        modifyId:
            type: integer
            nullable: true
            options:
                unsigned: false
            column: modify_id
        modifyDate:
            type: datetime
            nullable: true
            column: modify_date
        tolleranzaVolume:
            type: decimal
            nullable: true
            precision: 5
            scale: 2
            column: tolleranza_volume
        colore:
            type: string
            nullable: true
            length: 12
            options:
                fixed: false
        tolleranzaPeso:
            type: decimal
            nullable: true
            precision: 5
            scale: 2
            column: tolleranza_peso
    lifecycleCallbacks: {  }
